=== debian/changelog ===
gnome-shell-extension-paperwm (49.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1112289)

 -- Alexandre Rossi <niol@zincube.net>  Sat, 08 Nov 2025 14:38:42 +0100
