=== schemas/Makefile ===
gschemas.compiled: phony
	glib-compile-schemas .

.PHONY: phony
