=== debian/changelog ===
gnome-shell-extension-paperwm (49.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1112289)

 -- Alexandre Rossi <niol@zincube.net>  Thu, 19 Feb 2026 18:07:37 +0100
