=== debian/control ===
Source: gnome-shell-extension-paperwm
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Rossi <niol@zincube.net>
Build-Depends:
 debhelper-compat (= 13),
 python3,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/paperwm/PaperWM
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-paperwm
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-paperwm

Package: gnome-shell-extension-paperwm
Architecture: all
Depends:
 gnome-shell (>= ${gnome:MinimumVersion}~),
 gnome-shell (<< ${gnome:MaximumVersion}~),
 ${misc:Depends}
Suggests:
 gnome-shell-extension-prefs,
Description: Tiled scrollable window management for Gnome Shell
 PaperWM is a Gnome Shell extension which provides scrollable tiling of
 windows and per monitor workspaces. It's inspired by paper notebooks and
 tiling window managers.
 .
 Features:
 .
  - Gnome desktop integration
  - Scrollable horizontal tiling
  - Multiple workspaces and monitors support
  - Mouse, trackpad gestures and keyboard window management
  - Traditional floating layout alternative
  - Default window property rules
